/**
 * @brief Echelog Library -- "Type" handling
 * This type can be used for handling aliased types
 *
 * @author Kamil Toman <ktoman@email.cz>
 *
 * This file is generated automatically.
 */

#include "messages/testbuf.h"
#include "messages/typelist.h"

/* Aliased types are expanded below */

namespace messages {

const tFmtNode * tHostname::get_default_format()
{
    static tFmtNode * node = create_fmt_tree (get_prpool (), 
            "\"Hostname: %s\"");
    return node;
}

const tFmtNode * tHostname::get_plain_format()
{
    static tFmtNode * node = create_fmt_tree (get_prpool (), 
            "\"%s\"");
    return node;
}

const tFmtNode * tUsername::get_default_format()
{
    static tFmtNode * node = create_fmt_tree (get_prpool (), 
            "\"Username: %s\"");
    return node;
}

const tFmtNode * tUsername::get_plain_format()
{
    static tFmtNode * node = create_fmt_tree (get_prpool (), 
            "\"%s\"");
    return node;
}

}
